Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMdiArea.AreaOption

    java.lang.Object
      java.lang.Enum<QMdiArea.AreaOption>
          com.trolltech.qt.gui.QMdiArea.AreaOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMdiArea.AreaOption>

Enclosing class:
  QMdiArea

    public static enum QMdiArea.AreaOption

extends java.lang.Enum<QMdiArea.AreaOption>
implements QtEnumerator

This enum describes options that customize the behavior of the `QMdiArea`.

Enum Constant Summary
`DontMaximizeSubWindowOnActivation` When the active subwindow is maximized, the default behavior is to maximize the next subwindow that is activated.

Method Summary
`static QMdiArea.AreaOptions` | `createQFlags(QMdiArea.AreaOption... values)`
`static QMdiArea.AreaOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMdiArea.AreaOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMdiArea.AreaOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DontMaximizeSubWindowOnActivation

    public static final QMdiArea.AreaOption DontMaximizeSubWindowOnActivation

  When the active subwindow is maximized, the default behavior is to maximize the next subwindow that is activated. Set this option if you do not want this behavior.

Method Detail

### values

    public static final QMdiArea.AreaOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMdiArea.AreaOption c : QMdiArea.AreaOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMdiArea.AreaOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMdiArea.AreaOptions createQFlags(QMdiArea.AreaOption... values)

### resolve

    public static QMdiArea.AreaOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD